Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/ciwiki: new aport

From: ScrmppyJack <scrumpyjack_at_me.com>
Date: Thu, 27 Nov 2014 16:14:34 +0000 (UTC)

http://ciwiki.sourceforge.net/
CiWiki is a fork of DidiWiki, a small, zero-dependancy wiki
---
  testing/ciwiki/APKBUILD        | 48 
++++++++++++++++++++++++++++++++++++++++++
  testing/ciwiki/configure.patch | 15 +++++++++++++
  2 files changed, 63 insertions(+)
  create mode 100644 testing/ciwiki/APKBUILD
  create mode 100644 testing/ciwiki/configure.patch
diff --git a/testing/ciwiki/APKBUILD b/testing/ciwiki/APKBUILD
new file mode 100644
index 0000000..4025673
--- /dev/null
+++ b/testing/ciwiki/APKBUILD
_at_@ -0,0 +1,48 @@
+# Contributor: ScrumpyJack <scrumpyjack_at_me.com>
+# Maintainer:
+pkgname=ciwiki
+pkgver=1.7.5
+pkgrel=0
+pkgdesc="Personal lightweight wiki based on DidiWiki."
+url="http://ciwiki.sourceforge.net/"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/project/${pkgname}/${pkgname}-${pkgver}.tar.gz
+	configure.patch"
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr || exit 1
+	make
+}
+
+package() {
+	cd "$_builddir"
+  	install -m755 -d "${pkgdir}/usr/bin"
+  	install -m755 -d "${pkgdir}/usr/share/man/man1"
+  	install -m755 src/didiwiki "${pkgdir}/usr/bin/"
+	install -m755 src/
+  	install -m644 didiwiki.1 ${pkgdir}/usr/share/man/man1/didiwiki.1
+
+}
+md5sums="e885f8273df01a47ea28b7de4aef981d  ciwiki-1.7.5.tar.gz
+3487623323b8628653ffba78db3857a2  configure.patch"
+sha256sums="387e018c5fb68c7b79ed67e14fef368c40163f2231b7b9ec6590a36391316a8e 
ciwiki-1.7.5.tar.gz
+341b8b4de1680c91914e70560c146e15e7a7a23ee30e315ce5eefffc76250610 
configure.patch"
+sha512sums="8c2b9392e42c28a94d0d8704d07e16847dbc4d64c6bf840e10f4af57b776ef76126926cc12135d3326a53bf2c55329af1688cd81715d78f8eac320c89de9abb5 
ciwiki-1.7.5.tar.gz
+f87457ce934e1df84d73cd2543ef7e8fe86d37d389e013a14107a2dab928b8e9a2ddf7c18f4d55237c3265faa4c59955d856215ca42563473cb66bcfeae2c105 
configure.patch"
diff --git a/testing/ciwiki/configure.patch 
b/testing/ciwiki/configure.patch
new file mode 100644
index 0000000..23fd146
--- /dev/null
+++ b/testing/ciwiki/configure.patch
_at_@ -0,0 +1,15 @@
+--- ciwiki-1.7.5/configure
++++ ciwiki-1.7.5/configure.new
+_at_@ -6751,12 +6751,3 @@
+ $as_echo "$as_me: WARNING: unrecognized options: $ac_unrecognized_opts" 
>&2;}
+ fi
+
+-
+-echo
+-echo "  NOTE:"
+-echo "  a) If you are upgrading from a earlier version of DidiWiki, you 
can "
+-echo "  delete \$HOME/.didiwiki/WikiHelp or start didiwiki with option 
-r"
+-echo "  (didiwiki -r ) to get updated with the latest version."
+-echo "  b) Run the script finish_install.sh to install the .sh and .css 
files."
+-echo
+-xterm -e "./finish_install.sh"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Nov 27 2014 - 16:14:34 GMT